Bug 461469 - device-mapper changes to support readonly device maps
device-mapper changes to support readonly device maps
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ben Marzinski
Red Hat Kernel QE team
:
Depends On:
Blocks: 444421
  Show dependency treegraph
 
Reported: 2008-09-08 07:09 EDT by Bryn M. Reeves
Modified: 2010-10-23 00:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mpath propagate path errors (1.85 KB, patch)
2008-09-08 07:11 EDT, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2008-09-08 07:09:58 EDT
Description of problem:
This bug is to track the kernel changes needed for bug 444421. Device-mapper currently does not propagate EROFS errors from the dm constructor to user space so multipath-tools cannot take appropriate decisions when constructing multipath maps for these devices.

Ben has a proposed patch attached to bug 444421:

https://bugzilla.redhat.com/attachment.cgi?id=306846 

Version-Release number of selected component (if applicable):
RHEL-5.2

How reproducible:
100%

Steps to Reproduce:
1. Present a readonly device from an array 
2. Scan for devices from the host 
3. run "multipath -v3" 
  
Actual results:
"domap (0) failure for create/reload map" is observed for the readonly device
and the multipath map is not getting created.

Expected results:
DM devices have to be created for readonly devices also.
Actual results:
Comment 1 Bryn M. Reeves 2008-09-08 07:11:06 EDT
Created attachment 316070 [details]
mpath propagate path errors

Propagate path errors to user space from multipath constructor.
Comment 3 Alasdair Kergon 2009-02-11 08:22:22 EST
Upstream in 2.6.28.

commit 01460f3520c100010aacc8f8500cafcb17ce4665
Author: Benjamin Marzinski <bmarzins@redhat.com>
Date:   Fri Oct 10 13:36:57 2008 +0100

    dm mpath: use more error codes
    
    This patch allows path errors from the multipath ctr function to
    propagate up to userspace as errno values from the ioctl() call.
    
    This is in response to
      https://www.redhat.com/archives/dm-devel/2008-May/msg00000.html
    and
      https://bugzilla.redhat.com/show_bug.cgi?id=444421
    
    The patch only lets through the errors that it needs to in order to
    get the path errors from parse_path().
    
    Signed-off-by: Benjamin Marzinski <bmarzins@redhat.com>
    Signed-off-by: Alasdair G Kergon <agk@redhat.com>
Comment 4 RHEL Product and Program Management 2009-02-11 08:38:50 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 RHEL Product and Program Management 2009-02-16 10:33:34 EST
Updating PM score.
Comment 8 Don Zickus 2009-04-27 11:57:56 EDT
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 10 Chris Ward 2009-07-03 14:07:54 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 13 errata-xmlrpc 2009-09-02 04:39:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.